#define _disable_ld_as_needed 1

Name:		openvas-scanner
Version:	3.3.1
Release:	%mkrel 2
Summary: 	Scanner module for OpenVAS
Group:		Security
License:	GPLv2+
Url:		http://www.openvas.org
Source:		http://wald.intevation.org/frs/download.php/561/%name-%version.tar.gz
Source2:	openvassd.conf
Source3:	openvas-scanner.logrotate
Source4:	openvas-scanner.sysconfig
Source5:	openvas-nvt-sync-cron
Source6:	openvas-nvt-sync-cronjob
Source7:	openvas-scanner.service
# Put certs to /etc/pki/tls
Patch1:		openvas-scanner-3.2.4-pki.patch
Patch2:		openvas-scanner-3.3.1-mkcertclient-man-page.patch
# Allow compile time definition of the directory to store openvassd.rules
# Reported upstream http://wald.intevation.org/tracker/?func=detail&aid=1940&group_id=29&atid=220
Patch3:		openvas-scanner-rulesdir.patch
BuildRequires:	openvas-devel >= 5.0
BuildRequires:	cmake
Requires:	    rsync
Requires:	    wget
Requires:	    curl
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
This is the scanner module for the Open Vulnerability Assessment System
(OpenVAS).

%prep
%setup -q
%patch1 -p 1 -b .pkipath
%patch2 -p 1 -b .mkcert-client
%patch3 -p 1 -b .rules

sed -i -e 's#-Werror##' `grep -rl Werror *|grep CMakeLists.txt`

%build
%serverbuild
%cmake -DLOCALSTATEDIR=%{_var}
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

# initial configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/openvas
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/openvas/openvassd.conf
perl -pi \
    -e 's:@@OPENVAS_PLUGINS@@:%{_var}/lib/openvas/plugins:g;' \
	-e 's:@@OPENVAS_CACHE@@:%{_var}/cache/openvas:g;'         \
	-e 's:@@OPENVAS_LOGDIR@@:%{_var}/log/openvas:g;'          \
	-e 's:@@OPENVAS_SYSCONF@@:%{_sysconfdir}/openvas:g;'      \
	-e 's:@@OPENVAS_CERT@@:%{_sysconfdir}/pki/openvas:g;'     \
    %{buildroot}%{_sysconfdir}/openvas/openvassd.conf

# systemd service
install -D -m 644 %{SOURCE7} %{buildroot}%{_unitdir}/openvas-scanner.service

# log rotation stuff
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/openvas-scanner

# sysconfig configuration
install -D -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/openvas-scanner

# cron job to periodically update plugins
install -D -m 755 %{SOURCE5} %{buildroot}%{_sbindir}
install -D -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/cron.d/openvas-sync-plugins

%post
%_create_ssl_certificate openvas

%_post_service openvas-scanner

%preun
%_preun_service openvas-scanner

%files
%dir %{_sysconfdir}/openvas
%config(noreplace) %{_sysconfdir}/openvas/openvassd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/openvas-scanner
%config(noreplace) %{_sysconfdir}/cron.d/openvas-sync-plugins
%config(noreplace) %{_sysconfdir}/logrotate.d/openvas-scanner
%{_unitdir}/openvas-scanner.service
%{_sbindir}/openvas-adduser
%{_sbindir}/openvas-mkcert
%{_sbindir}/openvas-rmuser
%{_sbindir}/openvassd
%{_sbindir}/openvas-nvt-sync
%{_sbindir}/greenbone-nvt-sync
%{_sbindir}/openvas-mkcert-client
%{_sbindir}/openvas-nvt-sync-cron
%{_mandir}/man1/openvas-mkcert-client.1.*
%{_mandir}/man8/openvas-adduser.8.*
%{_mandir}/man8/openvas-rmuser.8.*
%{_mandir}/man8/openvas-mkcert.8.*
%{_mandir}/man8/openvassd.8.*
%{_mandir}/man8/openvas-nvt-sync.8.*
%{_mandir}/man8/greenbone-nvt-sync.8*
%dir %{_var}/lib/openvas
%dir %{_var}/lib/openvas/plugins
%dir %{_var}/cache/openvas


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.3.1-2.mga3
+ Revision: 362180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 guillomovitch <guillomovitch> 3.3.1-1.mga3
+ Revision: 307494
- drop sysinit support
- new version
- switch to Security group

* Sat Apr 28 2012 tmb <tmb> 3.2.5-4.mga3
+ Revision: 233830
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sat Apr 21 2012 colin <colin> 3.2.5-3.mga2
+ Revision: 232356
- Fix systemd support

* Wed Apr 18 2012 guillomovitch <guillomovitch> 3.2.5-2.mga2
+ Revision: 231459
- fix linking
- systemd support

* Sun Nov 13 2011 guillomovitch <guillomovitch> 3.2.5-1.mga2
+ Revision: 167276
- new version
- imported package openvas-scanner

  + fwang <fwang>
    - rebuild for new gnutls

